package jp.sourceforge.glad.collection.iteration;

import java.util.Map;

public class MapKeysIterationHandler<T>
        extends IterableIterationHandler<T>
        implements IterationHandler<T> {

    public MapKeysIterationHandler(Map<T, ?> map) {
        super(map.keySet());
    }

    public MapKeysIterationHandler(Object label, Map<T, ?> map) {
        super(label, map.keySet());
    }

}
